tomdnow

API 문서

파일-마크다운 변환을 워크플로우에 통합하세요

인증

모든 요청에 X-Api-Key 헤더에 API 키를 포함하세요.

X-Api-Key: tmd_your_api_key_here

API 키 발급

이메일을 포함한 POST 요청을 보내 API 키를 받으세요.

curl -X POST https://api.tomdnow.com/api/v1/keys \
  -H "Email: you@example.com"

응답 형식:

{
  "api_key": "tmd_abc123...",
  "tier": "free",
  "daily_limit": 50
}

파일 변환

API 키와 함께 파일을 업로드하면 마크다운 결과를 받을 수 있습니다.

curl -X POST https://api.tomdnow.com/api/v1/convert \
  -H "X-Api-Key: tmd_your_api_key" \
  -F "file=@document.pdf"

응답 형식

API는 변환된 마크다운과 메타데이터가 포함된 JSON 객체를 반환합니다.

{
  "markdown": "# Document Title\n\nConverted content...",
  "metadata": {
    "title": "document",
    "type": "pdf",
    "size": 102400
  },
  "api_usage": {
    "tier": "free",
    "daily_remaining": 47
  }
}

요청 제한

API 요청은 일일 제한이 적용됩니다.

Free: 일 50회

지원 형식

PDF, DOCX, PPTX, XLSX, XLS, HTML, EPUB, CSV, JSON, XML, MSG, IPYNB, ZIP, HWP, HWPX, RTF, TXT, JPG, PNG, GIF, WebP